Summary:	VoIP application
Name:		youmagic
Version:	1.1.33.1212
Release:	4
License:	GPLv2+
Group:		Communications
Url:		http://www.youmagic.com
Source0:	%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	exosip-devel >= 3.1.0
BuildRequires:	gsm-devel
BuildRequires:	kdelibs4-devel
BuildRequires:	qt4-devel
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(libosip2)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(opus)
BuildRequires:	pkgconfig(ortp)
BuildRequires:	pkgconfig(QJson)
BuildRequires:	pkgconfig(speex)
Requires:	qt4-database-plugin-sqlite

%description
%{name} VoIP application provides probably the most affordable call rates.
Don't miss the opportunity to stay in touch with anybody you want.

%files
%{_bindir}/%{name}
%{_datadir}/%{name}-%{version}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%setup_compile_flags
cmake . -DPROJECT=%{name}-%{version}
%make
ln -sf %{_datadir}/%{name}-%{version}/%{name}-%{version} %{name}

%install
install -d %{buildroot}%{_datadir}/%{name}-%{version}
cp %{name}-%{version} %{buildroot}%{_datadir}/%{name}-%{version}

install -d %{buildroot}%{_bindir}
cp -P -f %{name} %{buildroot}%{_bindir}
cp database.sql %{buildroot}%{_datadir}/%{name}-%{version}
cp -R QtDesktop/ %{buildroot}%{_datadir}/%{name}-%{version}
cp -R distribute/ %{buildroot}%{_datadir}/%{name}-%{version}

install -D -m 0644 distribute/youmagic.desktop %{buildroot}%{_datadir}/applications/youmagic.desktop

for N in 16 22 24 32 48 64 72 128;
do
install -D -m 0644 distribute/icons/$N.png %{buildroot}%{_iconsdir}/hicolor/${N}x${N}/apps/%{name}.png
done


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.1.33.1212-4
+ Revision: 914c545
- MassBuild#440: Increase release tag


